Bug 200476 - avc denied when using squid max_filedesc option
avc denied when using squid max_filedesc option
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-07-27 21:36 EDT by Zing
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-28 16:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zing 2006-07-27 21:36:20 EDT
Description of problem:
Trying to use the max_filedesc option in /etc/squid/squid.conf
will fail against the squid selinux policy.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set "max_filedesc 8192" in squid.conf
2. start squid
Actual results:
squid fails to start

Expected results:
squid should start

Additional info:
here's the local.te that I generated from audit2allow
and using successfully:

========= local.te =========
module local 1.0;

require {
	class capability sys_resource;
	class process setrlimit;
	type squid_t; 
	role system_r; 

allow squid_t self:capability sys_resource;
allow squid_t self:process setrlimit;
============== end ==============
Comment 1 Daniel Walsh 2006-08-11 15:26:54 EDT
Fixed in  selinux-policy-2.3.6-3.fc5
Comment 2 Daniel Walsh 2007-03-28 16:03:50 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.